| GET | /RestApi/Sitefinity/mobile-formats/content-types |
|---|
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;
public class dtos
{
public static class GetContentTypesForSiteDto
{
public String SiteId = null;
public String getSiteId() { return SiteId; }
public GetContentTypesForSiteDto setSiteId(String value) { this.SiteId = value; return this; }
}
}
Java GetContentTypesForSiteDto DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/Sitefinity/mobile-formats/content-types HTTP/1.1 Host: www.imglobal.com Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"ContentTypeDisplayName":"String","ContentTypeName":"String","ContentTypeFullname":"String","Active":false}]